Skip to main content
GET
/
dispatch
/
tasks
/
{task_id}
/
revisions
List revision history
curl --request GET \
  --url https://api.parse.bot/dispatch/tasks/{task_id}/revisions \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.parse.bot/dispatch/tasks/{task_id}/revisions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.parse.bot/dispatch/tasks/{task_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tasks": [
    {
      "id": "<string>",
      "url": "<string>",
      "task": "<string>",
      "iteration": 123,
      "user_input_prompt": {},
      "result_scraper_id": "<string>",
      "result_marketplace_id": "<string>",
      "error": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "completed_at": "<string>",
      "parent_task_id": "<string>",
      "extends_scraper_id": "<string>",
      "revision_type": "<string>",
      "auth_enabled": false,
      "source": "built",
      "contributes_to_marketplace": true,
      "progress": {},
      "marketplace_apis": {},
      "existing_marketplace_apis": {},
      "generated_api": {
        "marketplace_id": "<string>",
        "scraper_id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "source_url": "<string>",
        "execution_base_url": "<string>",
        "endpoints": [
          {
            "method": "<string>",
            "endpoint_name": "<string>",
            "description": "<string>",
            "input_params": {},
            "return_schema": {},
            "initiates_session": true
          }
        ]
      }
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

API key for programmatic access. Create one in the Parse dashboard at https://parse.bot (Settings → API Keys). Keys start with 'pmx_'.

Path Parameters

task_id
string
required

Response

200 - application/json

List of revision tasks

tasks
object[]
total
integer